---
title: 美颜处理
sidebar_position: 50
---

import Beautifier from '/docs/partials/rtc/android/unified/video/_beautifier-5x.md';

<Beautifier></Beautifier>

## 相芯美颜插件

> **注意**
>
> 从 5.4.0 版本开始，融云 CallLib/CallKit SDK 支持相芯美颜插件。使用相芯美颜需要购买相关授权，详情请咨询融云商务。

相芯美颜插件支持美颜、滤镜、美形和美肤功能。后续版本将完善对相芯 SDK 的封装。如需实现更多特效，您可以直接集成相芯 SDK。

当前不支持同时使用官方美颜和相芯美颜插件。

插件对应的相芯 SDK 的版本号为 8.3.0。暂不支持加载用户自定义的 bundle。

### 集成相芯美颜插件

声明[融云 Maven 仓库]后，请在 `app/build.gradle` 文件中添加下面内容：

```groovy
dependencies {
    ...
    // x.y.z，请填写具体的 SDK 版本号，请注意保持 CallLib 版本号保持一致。
    implementation 'cn.rongcloud.sdk:fu_beautifier:x.y.z' // 相芯美颜扩展库（可选）
}
```

> **注意**
>
> x.y.z 代表当前 CallLib 的具体版本号。您可以在融云下载页或[融云 Maven 仓库]进行查询。如果集成了 CallKit，则必须保持 CallKit、CallLib、fu_beautifier 插件版本号前三位一致。

### 初始化

初始化时请提供有效的相芯美颜的授权文件（请联系融云商务购买）。应用运行期间只调用一次即可，建议在 `Application#onCreate` 中初始化。

```java
RCRTCFUBeautifierEngine.getInstance().register(null, authpack.A());
```

### 美颜开关

打开美颜开关后设置的美颜效果才会生效；关闭开关美颜会失效。

```java
RCRTCFUBeautifierEngine.getInstance().setBeautyEnable(enabled);
```

### 滤镜设置

滤镜可设置自然、白亮、冷色调、粉嫩、黑白、暖色调、蜜桃等效果。参数分两种：滤镜类别、滤镜级别。

```java
RCRTCFUBeautifierEngine.getInstance().setFilter(FaceBeautyFilterEnum.FENNEN_1, (float) val);
```

### 美型设置

美型可设置瘦脸程度、V脸程度、窄脸程度、小脸程度、瘦鼻程度、嘴巴调整程度、开眼角强度、眼睛间距、鼻子长度、人中长度、微笑嘴角强度、瘦颧骨强度等效果。下面是设置瘦脸程度的接口调用示例，其他接口请参考相芯美颜插件 Javadoc 文档。

```java
RCRTCFUBeautifierEngine.getInstance().setCheekThinningLevel((float) val);
```

### 美肤设置

可设置磨皮、美白、红润、锐化、亮眼、美牙、去除黑眼圈、去除法令纹强度等。下面是设置磨皮强度的接口调用示例，其他接口请参考相芯美颜插件 Javadoc 文档。

```java
// 设置磨皮强度
RCRTCFUBeautifierEngine.getInstance().setSkinBlurLevel((float) val);
```

### 重置所有美颜效果

执行此方法后，会重置所有美颜美形效果，并释放素材和模型资源，但不会关闭美颜引擎。下次启用美颜需要重新启用。

```java
RCRTCFUBeautifierEngine.getInstance().reset();
```

<!-- links -->
[融云 Maven 仓库]:  http://maven.rongcloud.cn/repository/maven-releases/